Subject: Re: assert and retract

From: Jan Wielemaker <[email-masked]>
Date: Sun, 7 May 2000 12:24:02 +0200

> I have just upgraded to version 3.3.4 and when I try to assert or
> retract clauses I get "No permission to edit static procedure ..." error
> messages.  Have I missed something somewhere?

As of 3.3.x, SWI-Prolog is a bit more strict in the distinction between
static and dynamic procedures.  In particular, you can't do:

a(1).
a(2).

run :-
	assert(a(3)).

without using

	:- dynamic a/1.

You can assert a non-existent predicate, creating a new dynamic one.

If your problem does not fall in any of the above, please include a
small demo.

	Regards --- Jan